<?php

namespace Comitium5\DesignerBundle\Model\Interfaces\Asset;

/**
 * Interface ImageMetadataInterface
 *
 * @author Carles Gómez <carles@bab-soft.com>
 * @package Comitium5\DesignerBundle\Model\Interfaces\Asset
 */
interface AssetMetadataInterface
{
    /**
     * @return mixed
     */
    public function getWidth();

    /**
     * @param mixed $width
     */
    public function setWidth($width);

    /**
     * @return mixed
     */
    public function getHeight();

    /**
     * @param mixed $height
     */
    public function setHeight($height);

    /**
     * @return string
     */
    public function getEmbed(): string;

    /**
     * @param string $embed
     *
     * @return mixed
     */
    public function setEmbed(string $embed);
}
